package com.supervision.controller;

import com.supervision.service.RasaService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("rasa")
@RequiredArgsConstructor
public class RasaController {

    private final RasaService rasaService;

    @GetMapping("generateRasaYml")
    public void generateRasaYml(String diseaseId){
        rasaService.generateRasaYml(diseaseId);
    }


}
