package com.supervision.service;

import com.supervision.websocket.dto.SocketMessageDTO;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

public interface AskService {

    void handlerMessageBySocket(SocketMessageDTO socketMessageDTO) throws IOException;

    String receiveVoiceFile(MultipartFile file) throws IOException;

    String replyVoice();

    List<String> conversation(String question, String sessionId);


}
